Skip to main content
`Ctrl`+`K`

# PetscGlobusGetTransfers

Get a record of current transfers requested from Globus

## Synopsis

    PetscErrorCode PetscGlobusGetTransfers(MPI_Comm comm, const char access_token[], char buff[], size_t buffsize)

Not Collective, only the first process in `MPI_Comm` does anything

## Input Parameters

- comm - the MPI communicator

- access_token - Globus access token, if `NULL` will check in options database for -globus_access_token XXX otherwise will call `PetscGlobusAuthorize()`.

- buffsize - size of the buffer

## Output Parameter

- buff - location to put Globus information

## See Also

`PetscGoogleDriveRefresh()`, `PetscGoogleDriveUpload()`, `PetscGlobusUpload()`, `PetscGlobusAuthorize()`

## Level

intermediate

## Location

src/sys/webclient/globus.c

## Examples

src/sys/webclient/tutorials/globusobtaintransfers.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages